<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   */
/* ========================      						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   */
/***********************************************************************************/
	session_start();
	$account=$HTTP_SESSION_VARS["account"];
	
	//检查是否合法登陆系统
	require_once "./includes/check_login.inc.php";
	
	//页面基本设置
	require_once './includes/config.inc.php';
	
	//读取选中的帐套信息
	include "./account/".$account.".boxes.inc.php";	
	
	//包含adodb.inc.php
	require_once('./adodb/adodb.inc.php');
	
	//mysql数据库
	$conn = &ADONewConnection('mysql');
	
	//显示debug过程
	//$conn->debug=true;
	
	//连接数据库
	$conn->PConnect($MYSQL_HOSTNAME, $MYSQL_USERNAME, $MYSQL_PASSWORD, $DATABASE);
	
	//引入类文件
	require_once"./includes/BiaoCommon.class.php";
	
	//创建对象
	$boxesList=new BiaoCommon($conn); 
	
	//设置表名
	$boxesList->setTableName("boxes_module");

	//设置筛选的字段
	$boxesList->setSelectField("*");
	
	//设置查询条件
	$boxesList->setCondition("where (bm_level='0' and is_menu='1' and is_display=1) order by bm_topic asc");
	
	$boxes_result=$boxesList->selectResult();
	
	for($i=0;$i<count($boxes_result);$i++){
			
			//查询明细菜单
			$boxesList->setCondition("where (bm_topic='".$boxes_result[$i][bm_topic]."' and bm_auto_id!='".$boxes_result[$i][bm_auto_id]."' and is_display=1) order by bm_display asc");
			$boxes_result1=$boxesList->selectResult();
			for($j=0;$j<count($boxes_result1);$j++){
				$bm_menu[$i][] = array("file"		=> $boxes_result1[$j][bm_file],
									   "table"		=> $boxes_result1[$j][bm_table],
									   "name" 		=> $boxes_result1[$j][bm_name],
									   "num"		=> $boxes_result1[$j][bm_auto_id]);
			}
			
			$bm_module[]=array("id" => $i,"name"=> $boxes_result[$i][bm_name],"menu" => $bm_menu[$i]);
	}
	

	//Smarty模板库
	require_once './smarty/Smarty.class.php';

	$smart=new smarty;
	
	//路径+模板风格路径
	$smart->template_dir = './templates/'.$TEMPLATE_STYLE.'/';
	$smart->compile_dir = './smarty/templates_c/';
	$smart->config_dir = './smarty/configs/';
	$smart->cache_dir = './smarty/cache/';
	$smart->left_delimiter = '{/';
	$smart->right_delimiter = '/}';
	
	//替换标题
	$smart->assign(array("HTML_TITLE"=>$HTML_TITLE));

	$smart->assign("bm_module", $bm_module);
	//输出结果
	$smart->display('menu.tpl.htm');
?> 